Bug 1125111 (CVE-2014-5241, CVE-2014-5242, CVE-2014-5243) - CVE-2014-5241,CVE-2014-5242,CVE-2014-5243 mediawiki: security issues fixed in the 1.19.18, 1.22.9, and 1.23.2 releases
Summary: CVE-2014-5241,CVE-2014-5242,CVE-2014-5243 mediawiki: security issues fixed in...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-5241, CVE-2014-5242, CVE-2014-5243
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140730,repor...
Depends On: 1125112 1125113 1125114 1125115
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 04:53 UTC by Murray McAllister
Modified: 2019-06-08 20:07 UTC (History)
6 users (show)

Fixed In Version: mediawiki 1.19.18, mediawiki 1.22.9, mediawiki 1.23.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-27 20:56:09 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-07-31 04:53:41 UTC
The MediaWiki 1.19.18, 1.22.9, and 1.23.2 releases fix the following security issues:

""
* (bug 68187) SECURITY: Prepend jsonp callback with comment.
* (bug 66608) SECURITY: Fix for XSS issue in bug 66608: Generate the URL used for loading a new page in Javascript,instead of relying on the URL in the link that has been clicked.
* (bug 65778) SECURITY: Copy prevent-clickjacking between OutputPage and ParserOutput.
""

References:

http://lists.wikimedia.org/pipermail/mediawiki-announce/2014-July/000157.html

Comment 1 Murray McAllister 2014-07-31 04:54:57 UTC
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 1125112]
Affects: epel-5 [bug 1125113]

Comment 2 Murray McAllister 2014-07-31 04:55:00 UTC
Created mediawiki119 tracking bugs for this issue:

Affects: epel-5 [bug 1125114]
Affects: epel-6 [bug 1125115]

Comment 3 Vasyl Kaigorodov 2014-08-14 13:53:12 UTC
MITRE has assigned below CVEs to the issues:

* (bug 68187) SECURITY: Prepend jsonp callback with comment. - CVE-2014-5241
* (bug 66608) SECURITY: Fix for XSS issue in bug 66608: Generate the URL used for loading a new page in Javascript,instead of relying on the URL in the link that has been clicked. - CVE-2014-5242
* (bug 65778) SECURITY: Copy prevent-clickjacking between OutputPage and ParserOutput. - CVE-2014-5243

Comment 4 Fedora Update System 2014-08-27 01:34:03 UTC
mediawiki-1.23.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-08-27 01:34:25 UTC
mediawiki-1.23.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-10-21 16:01:52 UTC
mediawiki119-1.19.20-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Patrick Uiterwijk 2015-05-27 20:56:09 UTC
Fixed previously


Note You need to log in before you can comment on or make changes to this bug.